> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pyannote.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Voiceprint Job

This endpoint allows you to create a new voiceprint from a remote audio URL.

For a complete guide on creating and using voiceprints for speaker identification, see the [Identification with Voiceprints](/tutorials/identification-with-voiceprints) tutorial.


## OpenAPI

````yaml POST /v1/voiceprint
openapi: 3.0.0
info:
  title: pyannoteAI API
  description: ''
  version: local
  contact: {}
  termsOfService: https://pyannote.ai/terms-of-use
servers:
  - url: https://api.pyannote.ai
security: []
tags: []
externalDocs:
  description: pyannoteAI Docs
  url: https://docs.pyannote.ai/
paths:
  /v1/voiceprint:
    post:
      tags:
        - Api
        - Operations
      summary: Extract voiceprint
      operationId: voiceprint
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceprintRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobCreated'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '402':
          description: Subscription is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - api-key: []
components:
  schemas:
    VoiceprintRequest:
      type: object
      properties:
        url:
          type: string
          description: URL of the voiceprint audio file
          example: https://example.com/voice.wav
        model:
          type: string
          enum:
            - precision-2
          example: precision-2
          default: precision-2
          nullable: true
        webhook:
          type: string
          description: Webhook URL to receive voiceprint results (optional)
          example: https://example.com/webhook
        webhookStatusOnly:
          type: boolean
          default: false
          description: >-
            When true, webhook payload only includes jobId and status (excludes
            output). Useful for large payloads.
          example: true
      required:
        - url
    JobCreated:
      type: object
      properties:
        jobId:
          type: string
          example: 3c8a89a5-dcc6-4edb-a75d-ffd64739674d
          description: ID of the job
        status:
          type: string
          description: Status of the job
          example: created
          enum:
            - pending
            - created
            - succeeded
            - canceled
            - failed
            - running
        warning:
          type: string
          description: Warning message if any
      required:
        - jobId
        - status
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: Invalid request
        errors:
          description: List of errors
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      required:
        - message
        - errors
    ApiError:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID
          example: 37a4c3a0-b034-4e8c-9ed9-76da6645544a
        message:
          type: string
          description: Error message
          example: Error message
      required:
        - requestId
        - message
    ValidationError:
      type: object
      properties:
        field:
          type: string
          description: Field name
          example: url
        message:
          type: string
          description: Error message
          example: Invalid URL
      required:
        - field
        - message
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````